Bug 546254 - libvirt's secret.rng schema is not a well-formed XML document
Summary: libvirt's secret.rng schema is not a well-formed XML document
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Virtualization Tools
Classification: Community
Component: libvirt
Version: unspecified
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Veillard
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-10 14:48 UTC by Diego E. "Flameeyes" Pettenò
Modified: 2010-03-16 17:25 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-02-11 15:05:36 UTC


Attachments (Terms of Use)
Patch to fix the schema (825 bytes, patch)
2009-12-10 14:48 UTC, Diego E. "Flameeyes" Pettenò
no flags Details | Diff

Description Diego E. "Flameeyes" Pettenò 2009-12-10 14:48:21 UTC
Created attachment 377464 [details]
Patch to fix the schema

There's a simple typo in the file, a tag not closed, I'm attaching a git patch to fix it (I'd _really_ like for the patch to be appropriately merged with assignment).

I'd also suggest adding a make distcheck target to ensure that the schemas properly validate, it shouldn't be that difficult with xmllint.

Comment 1 Daniel Berrangé 2010-02-11 15:05:36 UTC
Fix included in upstream 0.7.6 release

commit 51ea18a84400c9745f93805fb0527cf36762470f
Author: Diego Elio Pettenò <flameeyes@gmail.com>
Date:   Thu Dec 10 17:03:47 2009 +0100

    Fix a wellformedness problem in secret.rng
    
    * docs/schemas/secret.rng: ref tag for usagevolume wasn't closed


Note You need to log in before you can comment on or make changes to this bug.